#
# spec file for package 
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           dunst
Version:        1.0.0
Release:        0
License:        BSD-3-Clause
Summary:        A customizable and lightweight notification-daemon
Url:            http://www.knopwob.org/dunst/
Group:          System/GUI/Other
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  dbus-1-devel libXinerama-devel libXft-devel libxdg-basedir-devel
BuildRequires:  glib2-devel pango-devel cairo-devel xorg-x11-libs libXScrnSaver-devel
BuildRequires:  libnotify-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Dunst is a lightweight replacement for the notification-daemons provided by most desktop environments. It's very customizable, doesn't depend on any toolkits and therefore fits in those windowmanager centric setups we all love to customize to perfection.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
make PREFIX=%{buildroot}/%{_prefix} install
sed -i.bak -e 's/Exec.*/Exec=\/usr\/bin\/dunst/' %{buildroot}/%{_datadir}/dbus-1/services/org.knopwob.dunst.service
rm %{buildroot}/%{_datadir}/dbus-1/services/org.knopwob.dunst.service.bak

%files
%defattr(-,root,root)
%doc CHANGELOG LICENSE
%{_bindir}/dunst
%{_datadir}/dbus-1/services/org.knopwob.dunst.service
%{_datadir}/dunst
%{_mandir}/man1/dunst.1.gz

%changelog

